Bug 586973 - Sample update ldif points to non-existent directory
Summary: Sample update ldif points to non-existent directory
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Directory Server   
(Show other bugs)
Version: 1.2.6
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 639035
TreeView+ depends on / blocked
 
Reported: 2010-04-28 15:16 UTC by Rob Crittenden
Modified: 2015-12-07 16:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:38:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rob Crittenden 2010-04-28 15:16:11 UTC
Description of problem:

/usr/share/dirsrv/updates/exampleupdate.ldif is more or less empty beyond the copyright but includes this comment:

# These files work the same way as the LDIF templates in
# /usr/share/dirsrv/ldif/template*.ldif

There are no files in /usr/sahre/dirsrv/ldif. I assume that this is supposed to be /usr/share/dirsrv/data/template-*.ldif

Version-Release number of selected component (if applicable):

389-ds-base-1.2.6-0.3.a3.fc12.x86_64

Comment 2 Noriko Hosoi 2010-10-12 17:44:16 UTC
Thanks to Rob Crittenden for providing us the proposal.  It's reviewed and tested. :)

Pushed to master.

$ git merge work
Updating 501cce2..c5cd4dd
Fast-forward
 ldap/admin/src/scripts/exampleupdate.ldif |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

$ git push
Counting objects: 13, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (7/7), 696 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   501cce2..c5cd4dd  master -> master

Comment 3 Noriko Hosoi 2011-07-27 00:38:26 UTC
Steps to verify.
Install the server.
# tail -2 /usr/share/dirsrv/updates/exampleupdate.ldif
# These files work the same way as the LDIF templates in
# /usr/share/dirsrv/data/template-*.ldif

If the last line is /usr/share/dirsrv/data/template-*.ldif, this bug is verified.

Comment 4 Amita Sharma 2011-07-29 13:06:27 UTC
[root@testvm slapd-testvm1]# tail -2 /usr/share/dirsrv/updates/exampleupdate.ldif
# These files work the same way as the LDIF templates in
# /usr/share/dirsrv/data/template-*.ldif
[root@testvm slapd-testvm1]# 

[root@testvm slapd-testvm1]# ls /usr/share/dirsrv/data/template-*
template-baseacis.ldif        template-domain.ldif          template-ldapi.ldif           template-pampta.ldif          
template-bitwise.ldif         template-dse.ldif             template-locality.ldif        template-sasl.ldif            
template-country.ldif         template-ldapi-autobind.ldif  template-org.ldif             template-state.ldif           
template-dnaplugin.ldif       template-ldapi-default.ldif   template-orgunit.ldif         template-suffix-db.ldif       

Hence VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.